org.eclipse.mat.parser.internal.oql.compiler

## Class Attribute

- java.lang.Object
- - org.eclipse.mat.parser.internal.oql.compiler.Attribute

    public class Attribute
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Attribute(String name, boolean isNative, boolean isEnvVar)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`boolean` `isEnvVar()`
`boolean` `isNative()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Attribute

    public Attribute(String name,
                     boolean isNative,
                     boolean isEnvVar)

### Method Detail

#### getName

    public String getName()

#### isNative

    public boolean isNative()

#### isEnvVar

    public boolean isEnvVar()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`